package com.yanzuoguang.util.contants;

/**
 * 系统服务返回code静态常量类
 * 要求所有返回code不要相同,便于统一规范服务代码
 */
public final class ResultMessageConstants {
    /**
     * feign failed message
     */
    public static final String FEIGN_FAILED_MSG = "feign client is failed, server name: %s";
    /**
     * sign no pass
     */
    public static final String SIGN_NO_PASS_MSG = "sign no pass!!! %s";

    /**
     * exception message
     */
    public static final String ERROR_MESSAGE = "system problem, please contact administrator!";
    /**
     * success
     */
    public static final String SUCCESS = "success";
    /**
     * 请求参数格式错误
     */
    public static final String PARAMS_FORMAT_MESSAGE = "request params format error!";

    /**
     * 文件上传错误
     */
    public static final String FILE_UPLOAD_ERROR_MESSAGE = "request params format error!";

    /**
     * 数据业务返回信息
     */
    public static class DataMessage{

        /**
         * 数据已存在
         */
        public static final String DATA_MESSAGE_1001 = "{0} is already exists";

        /**
         * 数据不存在
         */
        public static final String DATA_MESSAGE_1002 = "{0} is not exists";

        /**
         * 数据查询失败
         */
        public static final String DATA_MESSAGE_1003 = "query {0} is failed";

        /**
         * 数据修改失败
         */
        public static final String DATA_MESSAGE_1004 = "update {0} is failed";

        /**
         * 数据删除失败
         */
        public static final String DATA_MESSAGE_1005 = "delete {0} is failed";

        /**
         *数据异常
         */
        public static final String DATA_MESSAGE_1006 = "{0} data is exception {1}";

        /**
         *  数据已经处理
         */
        public static final String DATA_MESSAGE_1007 = "{0} data is handler";

        /**
         * 金额不足
         */
        public static final String DATA_MESSAGE_1009 = "{0} balance is not enough";
    }

    /**
     * 第三方资源返回信息
     */
    public static class ThirdPartyCode {

        /**
         * 请求超时
         */
        public static final String THIRD_PARTY_MESSAGE_2001 = "request {0} timeout";

        /**
         * 读取超时
         */
        public static final String THIRD_PARTY_MESSAGE_2002 = "read {0} timeout";
        /**
         * 返回数据异常
         */
        public static final String THIRD_PARTY_MESSAGE_2003 = "{0} return data is exception";

    }
}

