package com.yanzuoguang.db;

import com.yanzuoguang.util.vo.MapRow;

import java.util.List;

/**
 * created by yanzu on 2017/5/30.
 */
public interface DbExecute {

    /**
     * 更新SQL语句的执行
     * @param sql SQL语句
     * @param paras 参数信息
     * @return
     */
    int update(String sql, Object... paras);

    /**
     * 查询数据，并返回集合
     * @param cls 查询的结果的类型
     * @param sql 需要查询的SQL语句
     * @param paras 查询语句的参数
     * @param <T> 返回的集合的类型
     * @return 集合
     */
    <T> List<T> query(Class<T> cls, String sql, Object... paras);

    /**
     * 查询数据，并返回集合
     *
     * @param sql   需要查询的SQL语句
     * @param paras 查询语句的参数
     * @return 集合
     */
    List<MapRow> query(String sql, Object... paras);

    /**
     * 查询第一个单元格的信息
     * @param sql SQL语句
     * @param paras 参数信息
     * @return 第一个单元格的数据
     */
    Object queryCell(String sql, Object... paras);
}
